copilot
List copilot proposals
Requires scopes: eval:read
GET
/
api
/
copilot
/
proposals
List copilot proposals
curl --request GET \
--url https://evalgate.com/api/copilot/proposals \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/copilot/proposals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/copilot/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "<string>",
"sourceProposalId": "<string>",
"domain": "<string>",
"resourceRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"expectedResourceHash": "<string>",
"status": "<string>",
"summary": "<string>",
"before": true,
"after": true,
"evidence": [
{
"type": "<string>",
"resourceRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"label": "<string>",
"detail": "<string>"
}
],
"rationale": "<string>",
"warnings": [
{
"code": "<string>",
"message": "<string>",
"severity": "blocking"
}
],
"expectedCostUsd": "<string>",
"modelCallId": "<string>",
"authorizationSnapshot": {
"actorId": "<string>",
"role": "owner",
"scopes": [
"<string>"
],
"requiredScope": "eval:write",
"requiredRole": "member",
"checkedAt": "<string>"
},
"requestHash": "<string>",
"redactionState": "<string>",
"redactionFindings": [
"<string>"
],
"applicationResult": {
"domain": "prompt",
"resourceRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"createdDraftRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"rollbackRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"detail": {}
},
"errorCode": "<string>",
"errorMessage": "<string>",
"createdBy": "<string>",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I
List copilot proposals
